---
title: SVGLineElement
slug: Web/API/SVGLineElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGLineElement</code></strong> interface provides access to the properties of {{ SVGElement("line") }} elements, as well as methods to manipulate them.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, </em><em>{{domxref("SVGGeometryElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGLineElement.x1")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} that corresponds to attribute {{SVGAttr("x1")}} on the given {{SVGElement("line")}} element.</dd>
 <dt>{{domxref("SVGLineElement.y1")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} that corresponds to attribute {{SVGAttr("y1")}} on the given {{SVGElement("line")}} element.</dd>
 <dt>{{domxref("SVGLineElement.x2")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} that corresponds to attribute {{SVGAttr("x2")}} on the given {{SVGElement("line")}} element.</dd>
 <dt>{{domxref("SVGLineElement.y2")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} that corresponds to attribute {{SVGAttr("y2")}} on the given {{SVGElement("line")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGGeometryElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#InterfaceSVGLineElement", "SVGLineElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Changed the inheritance from {{domxref("SVGElement")}} to {{domxref("SVGGeometryElement")}} and removed the implemented interfaces {{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGTransformable")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#InterfaceSVGLineElement", "SVGLineElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGLineElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("line")}} SVG Element</li>
</ul>
